Bug 1699862 (CVE-2019-11026) - CVE-2019-11026 poppler: infinite recursion in function FontInfoScanner::scanFonts in FontInfo.cc
Summary: CVE-2019-11026 poppler: infinite recursion in function FontInfoScanner::scanF...
Status: CLOSED WONTFIX
Alias: CVE-2019-11026
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20190409,reported=2...
Keywords: Security
Depends On: 1699863
Blocks: 1699865
TreeView+ depends on / blocked
 
Reported: 2019-04-15 12:04 UTC by Dhananjay Arunesh
Modified: 2019-06-08 23:58 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-04-18 06:01:02 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-04-15 12:04:31 UTC
FontInfoScanner::scanFonts in FontInfo.cc in Poppler 0.75.0 has infinite recursion, leading to a call to the error function in Error.cc.

Reference:
https://research.loginsoft.com/vulnerability/stack-based-buffer-overflow-in-error-poppler-0-75-0/
https://gitlab.freedesktop.org/poppler/poppler/issues/752

Comment 1 Dhananjay Arunesh 2019-04-15 12:04:48 UTC
Created poppler tracking bugs for this issue:

Affects: fedora-all [bug 1699863]

Comment 2 Huzaifa S. Sidhpurwala 2019-04-18 06:01:02 UTC
Upstream patch: https://gitlab.freedesktop.org/aacid/poppler/commit/8051f678b3b43326e5fdfd7c03f39de21059f426

This is really a stack-overflow due to infinite loop and not really a stack-based overflow as suggested by the researcher. Also based on the attack vector this is really a borderline security flaw.


Note You need to log in before you can comment on or make changes to this bug.